System
Validate API Credentials
Validate API credentials without requiring full authentication. Used for testing WooCommerce module connections.
POST
/{locale}/shop/validate-credentialsValidate API credentials without requiring full authentication. Used for testing WooCommerce module connections.
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code (lt, en)
Value in
- "lt"
- "en"
Header Parameters
X-API-Key*string
API Key
X-API-Secret*string
API Secret
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/lt/shop/validate-credentials" \ -H "X-API-Key: lty_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \ -H "X-API-Secret: your_api_secret_here"{ "success": true, "valid": true, "message": "API credentials are valid", "data": { "partner_id": 1, "partner_name": "My Store", "environment": "production", "permissions": [ "string" ], "api_key": "lty_xxxx...xxxx" }}